<?php
namespace BLR\Backline\Core;

if (!defined('ABSPATH')) { exit; }

final class AdminMenu {
    public const MENU_SLUG = 'blr-backline';

    public static function boot(): void {
        add_action('admin_menu', [self::class, 'admin_menu']);
    }

    public static function admin_menu(): void {
        add_menu_page(
            __('BLR Backline', 'blr-backline'),
            __('BLR Backline', 'blr-backline'),
            SettingsPage::admin_menu_capability(),
            self::MENU_SLUG,
            [SettingsPage::class, 'render_settings_page'],
            BLR_BA_URL . 'assets/blr-ba/img/backline-icon.png'
        );
    }
}
